package alx.p40_io;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

public class Upper4 {
	private static final int ROZMIAR = 4096;

	public static void kopiuj(String wejscie, String wyjscie) {
		try(FileReader is = new FileReader(wejscie);
			FileWriter os = new FileWriter(wyjscie)) {
			 
			 char[] bufor = new char[ROZMIAR];
			 int ile;
			 
			 while((ile = is.read(bufor)) != -1) {
				 String napis = new String(bufor, 0, ile);
				 os.write(napis.toLowerCase());
			 }
			
		} catch (FileNotFoundException e) {
			System.out.println("Plik nie znaleziony "+e.getMessage());
		} catch (IOException e) {
			System.out.println("Błąd wej/wyj "+e.getMessage());
		}
	}
	

	public static void main(String[] args) {
		kopiuj("pan-tadeusz.txt", "wynik_lower.txt");
		System.out.println("Koniec kopiowania");
	}
}
